<script setup lang="ts">
import { useMaterialStore } from '@/stores/material'
import { nextTick, ref } from 'vue'
const materialStore = useMaterialStore()

const total = ref(0)
function close() {
  materialStore.importDialog = false
  nextTick(() => {
    materialStore.material.forEach((item, index) => {
      materialStore.material[index].material_Im = 0
    })
    materialStore.clear()
  })
}
function save() {
  nextTick(() => {
    const allQuantityImZero = materialStore.material.every((item) => item.material_Im === 0)

    if (allQuantityImZero) {
      alert('Please buy at least one item.')
    } else {
      materialStore.material.forEach((item, index) => {
        materialStore.receiptStock.receiptStockItem = materialStore.StockItem
        materialStore.material[index].material_qty =
        materialStore.material[index].material_qty + materialStore.material[index].material_Im
        materialStore.material[index].material_Im = 0
      })
      materialStore.changeTime()
      materialStore.receiptDialog = true
      materialStore.addHistory()
      materialStore.importDialog = false
    }
  })
}
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="materialStore.importDialog" persistent width="1000px" height="1000px">
      <v-card>
        <v-card-title class="text-h5 text-center"> Import Stock </v-card-title>
        <v-card-text>
          <v-form ref="refForm">
            <v-table fixed-header height="480px" style="overflow: auto">
              <thead>
                <tr>
                  <th class="text-center">ID</th>
                  <th class="text-center">Name</th>
                  <th class="text-center">Minimum</th>
                  <th class="text-center">Quantity in Stock(Now)</th>
                  <th class="text-center">Price</th>
                  <th class="text-center">Quantity Import</th>
                  <th class="text-center">Total</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item of materialStore.material" :key="item.material_id">
                  <td class="text-center">{{ item.material_id }}</td>
                  <td class="text-center">{{ item.material_name }}</td>
                  <td class="text-center">{{ item.material_min }}</td>
                  <td class="text-center">{{ item.material_qty }} {{ item.material_unit }}</td>
                  <td class="text-center">{{ item.material_price }}</td>
                  <td class="mx-4 text-center">
                    <v-btn icon="mdi-minus" density="compact" @click="materialStore.dec(item)"></v-btn>
                    {{ item.material_Im }}
                    <v-btn icon="mdi-plus" density="compact" @click="materialStore.inc(item)"></v-btn>
                  </td>
                  <td class="text-center">
                    <pre>{{ item.material_Im * item.material_price }}</pre>
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <div>Total:{{ materialStore.receiptStock.total }}</div>
        </v-card-actions>
        <v-card-actions>
          <v-spacer></v-spacer>
          <div>
            <v-spacer></v-spacer>
            <v-btn color="green-darken-1" variant="text" @click="close()"> Cancel </v-btn>
            <v-btn color="green-darken-1" variant="text" @click="save()"> Buy </v-btn>
          </div>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
